import { formatWorkflowYaml } from "./formatWorkflowYaml.js";
function createSoloWorkflowFile({
  concurrency,
  name,
  on,
  permissions,
  ...options
}) {
  return formatWorkflowYaml({
    concurrency,
    jobs: {
      [name.replaceAll(" ", "_").toLowerCase()]: {
        ...options.if && { if: options.if },
        "runs-on": "ubuntu-latest",
        steps: "runs" in options ? [
          { uses: "actions/checkout@v4" },
          { uses: "./.github/actions/prepare" },
          ...options.runs.map((run) => ({ run }))
        ] : options.steps
      }
    },
    name,
    on,
    permissions
  });
}
export {
  createSoloWorkflowFile
};
//# sourceMappingURL=createSoloWorkflowFile.js.map