import { readFileSafeAsJson } from "../../../shared/readFileSafeAsJson.js";
import { formatJson } from "./formatters/formatJson.js";
async function writeAllContributorsRC(options) {
  const existing = await readFileSafeAsJson(
    ".all-contributorsrc"
  );
  return await formatJson({
    badgeTemplate: '	<a href="#contributors" target="_blank"><img alt="\u{1F46A} All Contributors: <%= contributors.length %>" src="https://img.shields.io/badge/%F0%9F%91%AA_all_contributors-<%= contributors.length %>-21bb42.svg" /></a>',
    contributors: existing?.contributors ?? [],
    contributorsSortAlphabetically: true,
    projectName: options.repository,
    projectOwner: options.owner
  });
}
export {
  writeAllContributorsRC
};
//# sourceMappingURL=writeAllContributorsRC.js.map