import { applyFilesToSystem, createWritingFileSystem } from "create";
import { $ } from "execa";
import { isUsingCreateEngine } from "../../shared/isUsingCreateEngine.js";
import { createStructure } from "./creation/index.js";
import { writeStructureWorker } from "./writeStructureWorker.js";
async function writeStructure(options) {
  const usingCreateEngine = isUsingCreateEngine();
  const structure = await createStructure(options, usingCreateEngine);
  if (usingCreateEngine) {
    await applyFilesToSystem(structure, createWritingFileSystem(), ".");
    return;
  }
  await writeStructureWorker(structure, ".");
  try {
    await $`chmod ug+x .husky/pre-commit`;
  } catch {
  }
}
export {
  writeStructure
};
//# sourceMappingURL=writeStructure.js.map